Executive Summary

Summary
Title DPDK regression
Informations
NameUSN-4189-2First vendor Publication2019-11-25
VendorUbuntuLast vendor Modification2019-11-25
Severity (Vendor) N/ARevisionN/A

Security-Database Scoring CVSS v2

Cvss vector :
Cvss Base ScoreN/AAttack RangeN/A
Cvss Impact ScoreN/AAttack ComplexityN/A
Cvss Expoit ScoreN/AAuthenticationN/A
Calculate full CVSS 2.0 Vectors scores

Detail

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 19.10 - Ubuntu 19.04 - Ubuntu 18.04 LTS

Summary:

USN-4189-1 introduced a regression in DPDK.

Software Description: - dpdk: set of libraries for fast packet processing

Details:

USN-4189-1 fixed a vulnerability in DPDK. The new version introduced a regression in certain environments. This update fixes the problem.

Original advisory details:

Jason Wang discovered that DPDK incorrectly handled certain messages. An
attacker in a malicious container could possibly use this issue to cause
DPDK to leak resources, resulting in a denial of service.

Update instructions:

The problem can be corrected by updating your system to the following package versions:

Ubuntu 19.10:
dpdk 18.11.5-0ubuntu0.19.10.1

Ubuntu 19.04:
dpdk 18.11.5-0ubuntu0.19.04.1

Ubuntu 18.04 LTS:
dpdk 17.11.9-0ubuntu18.04.1

This update uses a new upstream release, which includes additional bug fixes. In general, a standard system update will make all the necessary changes.

References:
https://usn.ubuntu.com/4189-2
https://usn.ubuntu.com/4189-1
https://launchpad.net/bugs/1853463

Package Information:
https://launchpad.net/ubuntu/+source/dpdk/18.11.5-0ubuntu0.19.10.1
https://launchpad.net/ubuntu/+source/dpdk/18.11.5-0ubuntu0.19.04.1
https://launchpad.net/ubuntu/+source/dpdk/17.11.9-0ubuntu18.04.1

Original Source

Url : http://www.ubuntu.com/usn/USN-4189-2

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2019-11-25 17:19:12
  • First insertion